//+------------------------------------------------------------------+
//|                                  |
//|                               Copyright  2012,   |
//|                                                cmillion@narod.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012,  "
#property link      "cmillion@narod.ru"
#property show_inputs

//--------------------------------------------------------------------
extern int     Stoploss          = 0,     // 
               Takeprofit        = 0;     // 
extern double  Lots              = 0.0;   //=0           RiskPercent % 
extern double  RiskPercent       = 0.01;   //Lots = AccountBalance() * (RiskPercent / 100.0) / 10000.0
extern int     Magic             = 0;     //    ,  0    ,     
extern bool    comment           = true;  //   
//--------------------------------------------------------------------
int start()
{
   double SL,TP;
   double Price = NormalizeDouble(WindowPriceOnDropped(),Digits);
   string txt=StringConcatenate("  Limit  ",DoubleToStr(Price,Digits),"  ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
   RefreshRates();
   double Lot = LOT();
   if(Price>Ask) 
   {
      if (Takeprofit!=0) TP = NormalizeDouble(Price - Takeprofit * Point,Digits); else TP=0;
      if (Stoploss!=0)   SL = NormalizeDouble(Price + Stoploss   * Point,Digits); else SL=0;
      if (OrderSend(Symbol(),OP_SELLLIMIT,Lot,Price,0,SL,TP,"LimitOrders",Magic,0,CLR_NONE)!=-1)
           txt = StringConcatenate(txt,"\n SELLLIMIT ",DoubleToStr(Price,Digits));
      else txt = StringConcatenate(txt,"\n ",GetLastError(),"  SELLLIMIT ");
   }
   if(Price<Bid) 
   {
      if (Takeprofit!=0) TP = NormalizeDouble(Price + Takeprofit * Point,Digits); else TP=0;
      if (Stoploss!=0)   SL = NormalizeDouble(Price - Stoploss   * Point,Digits); else SL=0;
      if (OrderSend(Symbol(),OP_BUYLIMIT,Lot,Price,0,SL,TP,"LimitOrders",Magic,0,CLR_NONE )==-1)
           txt = StringConcatenate(txt,"\n BUYLIMIT ",DoubleToStr(Price,Digits));
      else txt = StringConcatenate(txt,"\n ",GetLastError(),"  BUYLIMIT ");
   }
   if (comment) Comment(txt,"\n    ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
   return(0);
}
//--------------------------------------------------------------------
double LOT()
{
   if (Lots>0) return(Lots);
   double LOT = NormalizeDouble(AccountFreeMargin()* RiskPercent/100/MarketInfo(Symbol(),MODE_MARGINREQUIRED),2);
   if (LOT>MarketInfo(Symbol(),MODE_MAXLOT)) LOT = MarketInfo(Symbol(),MODE_MAXLOT);
   if (LOT<MarketInfo(Symbol(),MODE_MINLOT)) LOT = MarketInfo(Symbol(),MODE_MINLOT);
   return(LOT);
}
//--------------------------------------------------------------------

